﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Collections;
using System.Text;

/// <summary>
/// ProductManager 的摘要说明
/// </summary>
public class Managers:IDisposable
{
    private static string conn = ConfigurationManager.ConnectionStrings["OLEDBCONNECTIONSTRING1"].ConnectionString + HttpContext.Current.Server.MapPath(ConfigurationManager.ConnectionStrings["OLEDBCONNECTIONSTRING3"].ConnectionString);
    public Managers()
	{
		//
		// TODO: 在此处添加构造函数逻辑
		//
	}

    /// <summary>
    /// 返回DataSet
    /// </summary>
    /// <param name="tn">表名</param>
    /// <param name="columnname">列名</param>
    /// <param name="c">显示条数,0为全部</param>
    /// <param name="strwhere">筛选条件(无where)</param>
    /// <param name="orderby">排序字段</param>
    /// <returns></returns>
    public DataSet getlist(string tn, string columnname, int c, string strwhere, string orderby)
    {
        StringBuilder str = new StringBuilder();
        str.Append("select ");
        if (c > 0)
        {
            str.Append("top ");
            str.Append(c);
            str.Append(" ");
        }
        str.Append(columnname);
        str.Append(" from ");
        str.Append(tn);
        if (strwhere.Length > 0)
        {
            str.Append(" where ");
            str.Append(strwhere);
        }
        if (orderby.Length > 0)
        {
            str.Append(" order by ");
            str.Append(orderby);
        }
        return OleDbHelper.ExecuteDataset(conn, CommandType.Text, str.ToString());
    }
    /// <summary>
    /// 返回第一行第一列的值
    /// </summary>
    /// <param name="tn">表名</param>
    /// <param name="columnname">列名</param>
    /// <param name="strwhere">筛选条件(无where)</param>
    /// <param name="orderby">排序字段</param>
    /// <returns></returns>
    public object getvalue(string tn, string columnname, string strwhere, string orderby)
    {
        StringBuilder str = new StringBuilder();
        str.Append("select ");
        str.Append(columnname);
        str.Append(" from ");
        str.Append(tn);
        if (strwhere.Length > 0)
        {
            str.Append(" where ");
            str.Append(strwhere);
        }
        if (orderby.Length > 0)
        {
            str.Append(" order by ");
            str.Append(orderby);
        }
        return OleDbHelper.ExecuteScalar(conn, CommandType.Text, str.ToString());
    }
    /// <summary>
    /// 更新一列值
   /// </summary>
   /// <param name="tn">表名</param>
   /// <param name="columnname">修改的字段名</param>
   /// <param name="val">值</param>
   /// <param name="isstr">是否为字符串</param>
   /// <param name="id">修改信息的ID</param>
   /// <returns></returns>
    public int update(string tn, string columnname, object val, bool isstr, string id)
    {
        StringBuilder str = new StringBuilder();
        str.Append("update ");
        str.Append(tn);
        str.Append(" set ");
        str.Append(columnname);
        str.Append("=");
        if (isstr)
        {
            str.Append("'");
            str.Append(val);
            str.Append("'");
        }
        else
        {
            str.Append(val);
        }
        str.Append(" where id=");
        str.Append(id);
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, str.ToString());
    }
    /// <summary>
    /// 删除表信息
    /// </summary>
    /// <param name="tn">表名</param>
    /// <param name="id">信息的标识ID</param>
    /// <returns></returns>
    public int Delete(string tn, string id)
    {
        StringBuilder str = new StringBuilder();
        str.Append("delete from ");
        str.Append(tn);
        str.Append(" where id=");
        str.Append(id);
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, str.ToString());
    }
    /// <summary>
    /// 根据标识ID和表名等获取显示的广告信息
    /// </summary>
    /// <param name="tn">表名</param>
    /// <param name="id">标识ID</param>
    /// <param name="w">宽度</param>
    /// <param name="h">高度</param>
    /// <returns>广告信息</returns>
    public object getShowAdInfo(string tn, int id, int w, int h)
    {
        DataSet ds = getAdInfo(tn, id.ToString());
        if (ds.Tables[0].Rows.Count > 0)
        {
            if ((ds.Tables[0].Rows[0]["linkurl"] + "").Trim() != "")
            {
                return "<a href=\"" + ds.Tables[0].Rows[0]["linkurl"] + "\" title=\"" + StringManager.HtmlDecode(ds.Tables[0].Rows[0]["title"]) + "\" target=\"_blank\"><img src=\"" + ds.Tables[0].Rows[0]["imageurl"] + "\" width=\"" + w + "\" height=\"" + h + "\" style=\"border-style:none;\"/></a>";
            }
            else
            {
                return "<img src=\"" + ds.Tables[0].Rows[0]["imageurl"] + "\" width=\"" + w + "\" height=\"" + h + "\" style=\"border-style:none;\"/>";
            }
        }
        return "";
    }
    public object getShowAdInfo(string tn, int id,  int h)
    {
        DataSet ds = getAdInfo(tn, id.ToString());
        if (ds.Tables[0].Rows.Count > 0)
        {
            if ((ds.Tables[0].Rows[0]["linkurl"] + "").Trim() != "")
            {
                return "<a href=\"" + ds.Tables[0].Rows[0]["linkurl"] + "\" title=\"" + StringManager.HtmlDecode(ds.Tables[0].Rows[0]["title"]) + "\" target=\"_blank\"><img src=\"" + ds.Tables[0].Rows[0]["imageurl"] + "\"   style=\"border-style:none;\"/></a>";
            }
            else
            {
                return "<img src=\"" + ds.Tables[0].Rows[0]["imageurl"] + "\"  style=\"border-style:none;\"/>";
            }
        }
        return "";
    }
    /// <summary>
    /// 根据ID获取广告信息DataSet
    /// </summary>
    /// <param name="tn">表名</param>
    /// <param name="id">标识ID</param>
    /// <returns>DataSet</returns>
    public DataSet getAdInfo(string tn, string id)
    {
        return OleDbHelper.ExecuteDataset(conn, CommandType.Text, "select * from " + tn + " where id=" + id);
    }
    /// <summary>
    /// 更新广告信息
    /// </summary>
    /// <param name="tn">表名</param>
    /// <param name="name">显示名称</param>
    /// <param name="imgurl">图片地址</param>
    /// <param name="url">链接地址</param>
    /// <param name="id">标识ID</param>
    /// <returns>0或1 1为成功</returns>
    public static int editAdInfo(string tn, string name, string imgurl, string url, string id)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "update " + tn + " set [title]='" + name + "',[imageurl]='" + imgurl + "',[linkurl]='" + url + "' where id=" + id);
    }
    /// <summary>
    /// 更新Configs
    /// </summary>
    /// <param name="tn">表名</param>
    /// <param name="values">值</param>
    /// <param name="id">标识ID</param>
    /// <returns>0或1 1为成功</returns>
    public int updateConfigs(string tn, string values, string id)
    {
       return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "update " + tn + " set [values]='" + values + "' where id=" + id);
    }
    /// <summary>
    /// 更新Configs
    /// </summary>
    /// <param name="tn">表名</param>
    /// <param name="name">标题</param>
    /// <param name="remark">描述值</param>
    /// <param name="sorts">顺序</param>
    /// <param name="id">标识ID</param>
    /// <returns>0或1 1为成功</returns>
    public int updateConfigs(string tn, string name, string values, string sorts, string id)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "update " + tn + " set [name]='" + name + "',[values]='" + values + "',[sorts]=" + sorts + " where id=" + id);
    }
    /// <summary>
    /// 更新Configs
    /// </summary>
    /// <param name="tn">表名</param>
    /// <param name="name">标题</param>
    /// <param name="remark">描述值</param>
    /// <param name="typeid">类别ID</param>
    /// <param name="sorts">顺序</param>
    /// <param name="id">标识ID</param>
    /// <returns>0或1 1为成功</returns>
    public int updateConfigs(string tn, string name, string remark, string typeid, string sorts, string id)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "update " + tn + " set [name]='" + name + "',[values]='" + remark + "',[sorts]=" + sorts + ",[typeid]=" + typeid + " where id=" + id);
    }
    /// <summary>
    /// 添加Configs
    /// </summary>
    /// <param name="tn">表名</param>
    /// <param name="name">标题</param>
    /// <param name="remark">描述值</param>
    /// <param name="typeid">类别ID</param>
    /// <param name="sorts">顺序</param>
    /// <returns>0或1 1为成功</returns>
    public int addConfigs(string tn, string remark, string name, string typeid, string sorts)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "insert into " + tn + "([name],[values],[typeid],[sorts]) values('" + name + "','" + remark + "'," + typeid + "," + sorts + ")");
    }
    /// <summary>
    /// 根据类别获取Configs列表
    /// </summary>
    /// <param name="tn">表名</param>
    /// <param name="columnname">需要的字段列</param>
    /// <param name="typeid">类别ID</param>
    /// <returns>DataSet</returns>
    public DataSet getConfigsList(string tn, string columnname, int typeid)
    {
        return OleDbHelper.ExecuteDataset(conn, CommandType.Text, "select  " + columnname + " from " + tn + " where typeid=" + typeid + " order by id desc");//where typeid=" + typeid + "
    }

    public DataSet getConfigsListByid(string tn, string columnname, int typeid)
    {
        return OleDbHelper.ExecuteDataset(conn, CommandType.Text, "select  " + columnname + " from " + tn + " where typeid =4 or typeid=10  order by id desc");//where typeid=" + typeid + "
    }
    /// <summary>
    /// 根据类别获取Configs列表
    /// </summary>
    /// <param name="tn">表名</param>
    /// <param name="columnname">需要的字段列</param>
    /// <param name="typeid">类别ID</param>
    /// <param name="whe">附加条件</param>
    /// <returns>DataSet</returns>
    public DataSet getConfigsList(string tn, string columnname, int typeid,string whe)
    {
        return OleDbHelper.ExecuteDataset(conn, CommandType.Text, "select  " + columnname + " from " + tn + " where typeid=" + typeid + whe + " order by sorts asc,id desc");
    }
    /// <summary>
    /// 根据类别获取Configs列表(返回指定的条数)
    /// </summary>
    /// <param name="tn">表名</param>
    /// <param name="columnname">需要的字段列</param>
    /// <param name="typeid">类别ID</param>
    /// <param name="counts">项数</param>
    /// <returns>DataSet</returns>
    public DataSet getConfigsList(string tn, string columnname, int typeid, int counts)
    {
        return OleDbHelper.ExecuteDataset(conn, CommandType.Text, "select top " + counts + " " + columnname + " from " + tn + " where typeid=" + typeid + " order by sorts asc,id desc");
    }
    /// <summary>
    /// 根据ID获取获取Configs信息
    /// </summary>
    /// <param name="tn">表名</param>
    /// <param name="columnname">需要的字段列</param>
    /// <param name="id">标识ID</param>
    /// <returns>DataSet</returns>
    public DataSet getConfigsList(string tn, string columnname, string id)
    {
        return OleDbHelper.ExecuteDataset(conn, CommandType.Text, "select " + columnname + " from " + tn + " where id=" + id);
    }
    /// <summary>
    /// 根据ID获取链接信息
    /// </summary>
    /// <param name="tn">表名</param>
    /// <param name="id">标识ID</param>
    /// <returns>DataSet</returns>
    public DataSet getLinkinfo(string tn, string id)
    {
        return OleDbHelper.ExecuteDataset(conn, CommandType.Text, "select * from " + tn + " where isshow=1 and id=" + id);
    }
    /// <summary>
    /// 获取友情链接列表
    /// </summary>
    /// <param name="tn">表名</param>
    /// <returns>DataSet</returns>
    public DataSet getLinkList(string tn)
    {
        return OleDbHelper.ExecuteDataset(conn, CommandType.Text, "select * from "+tn+" where isshow=1 order by sorts asc, id asc");
    }
    /// <summary>
    /// 获取指定数量的友情链接列表
    /// </summary>
    /// <param name="tn">表名</param>
    /// <param name="counts">指定数量</param>
    /// <returns>DataSet</returns>
    public DataSet getLinkList(string tn, int counts)
    {
        return OleDbHelper.ExecuteDataset(conn, CommandType.Text, "select top " + counts + " * from " + tn + " where isshow=1 order by sorts asc, id asc");
    }
    /// <summary>
    /// 获取友情链接列表
    /// </summary>
    /// <param name="tn">表名</param>
    /// <returns>DataSet</returns>
    public DataSet getLinkinfo(string tn)
    {
        return OleDbHelper.ExecuteDataset(conn, CommandType.Text, "select * from " + tn + " where isshow=1 order by sorts asc, id asc");
    }
    /// <summary>
    /// 添加友情链接
    /// </summary>
    /// <param name="tn">表名</param>
    /// <param name="name">名称</param>
    /// <param name="url">链接</param>
    /// <param name="sorts">顺序</param>
    /// <returns>0或1 1为成功</returns>
    public int addlinks(string tn, string name, string url, string sorts)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "insert into " + tn + "([name],[linkurl],[sorts]) values('" + name + "','" + url + "'," + sorts + ")");
    }
    /// <summary>
    /// 更新友情链接
    /// </summary>
    /// <param name="tn">表名</param>
    /// <param name="name">名称</param>
    /// <param name="url">链接</param>
    /// <param name="sorts">顺序</param>
    /// <param name="id">顺序</param>
    /// <returns>0或1 1为成功</returns>
    public int editlinks(string tn, string name, string url, string sorts, string id)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "update " + tn + " set [name]='" + name + "',[linkurl]='" + url + "',[sorts]=" + sorts + " where id=" + id);
    }
    /// <summary>
    /// 获取留言列表
    /// </summary>
    /// <param name="tn">表名</param>
    /// <returns>DataSet</returns>
    public DataSet getMessageList(string tn)
    {
        return OleDbHelper.ExecuteDataset(conn, CommandType.Text, "select id,lianxiren,[tel], [shouji], [email],[qq] from " + tn + " order by id desc");
    }
    /// <summary>
    /// 根据ID获取留言信息
    /// </summary>
    /// <param name="tn">表名</param>
    /// <param name="id">标识ID</param>
    /// <returns>DataSet</returns>
    public DataSet getMessageInfo(string tn, string id)
    {
        return OleDbHelper.ExecuteDataset(conn, CommandType.Text, "select * from " + tn + " where id=" + id);
    }
    /// <summary>
    /// 添加留言信息
    /// </summary>
    /// <param name="tn">表名</param>
    /// <param name="lianxiren">联系人</param>
    /// <param name="tel">电话</param>
    /// <param name="shouji">手机</param>
    /// <param name="email">邮箱</param>
    /// <param name="qq">QQ</param>
    /// <param name="remark">内容</param>
    /// <param name="title">标题</param>
    /// <param name="address">地址</param>
    /// <returns>0或1 1为成功</returns>
    public  int addMessage(string tn, string lianxiren, string tel, string shouji, string email, string qq, string remark, string title, string address)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "insert into " + tn + "([lianxiren], [tel], [shouji], [email],[qq], [remark],[title],[address]) values('" + lianxiren + "','" + tel + "','" + shouji + "','" + email + "','" + qq + "','" + remark + "','" + title + "','" + address + "')");
    }
   
    public int addMess(string tn, string title, string contentx,string imgurl,string sorts,string keyword,string descs)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "insert into " + tn + "( [title],remark,imgurl,[desc],sorts,[keyword]) values('" + title + "','" + contentx + "','" + imgurl + "','" + descs + "'," + sorts + ",'" + keyword + "'");
    }

    //("t_message", StringHelper.HtmlEncode(txt_title.Value), StringHelper.HtmlEncode(content1.Value), imgurl, HiddenField1.Value, txt_sorts.Value, kw, desc);
    public int updateMes(string tn, string title, string contentx, string imgurl, string id, string sorts, string keyword, string descs)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "update " + tn + " set [title]='" + title + "',[remark]='" + contentx + "',imgurl='" + imgurl + "',[sorts]=" + sorts + ",[keyword]='" + keyword + "',[desc]='" + descs + "' where id=" + id);
    }
    /// <summary>
    /// 添加分类
    /// </summary>
    /// <param name="tn"></param>
    /// <param name="name"></param>
    /// <param name="sorts"></param>
    /// <param name="type"></param>
    /// <param name="parentid"></param>
    /// <param name="remark"></param>
    /// <returns></returns>
    public int addClass(string tn, string name, string sorts, int type, int parentid,string remark)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "insert into "+tn+"([name],[sorts],[typeid],[parentid]) values('" + name + "'," + sorts + "," + type + "," + parentid + ")");
    }
    /// <summary>
    /// 更新分类
    /// </summary>
    /// <param name="tn"></param>
    /// <param name="name"></param>
    /// <param name="sorts"></param>
    /// <param name="type"></param>
    /// <param name="id"></param>
    /// <param name="remark"></param>
    /// <returns></returns>
    public int editClass(string tn, string name, string sorts, int type, string id, string remark)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "update "+tn+" set [name]='" + name + "',[sorts]=" + sorts + ",[typeid]=" + type + ",[remark]='"+remark+"' where id=" + id);
    }
    /// <summary>
    /// 更新新闻
    /// </summary>
    /// <param name="tn"></param>
    /// <param name="title"></param>
    /// <param name="remark"></param>
    /// <param name="typeid"></param>
    /// <param name="id"></param>
    /// <param name="sorts"></param>
    /// <returns></returns>
    public int updateNewsInfo(string tn, string title, string remark, string typeid, string id, string sorts)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "update "+tn+" set [title]='" + title + "',[remark]='" + remark + "',[typeid]=" + typeid + ",[sorts]=" + sorts + " where id=" + id);
    }
    /// <summary>
    /// 添加新闻
    /// </summary>
    /// <param name="tn"></param>
    /// <param name="title"></param>
    /// <param name="remark"></param>
    /// <param name="typeid"></param>
    /// <param name="sorts"></param>
    /// <returns></returns>
    public int addNewsInfo(string tn, string title, string remark, string typeid, string sorts)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "insert into "+tn+"([title],[remark],[typeid],[sorts]) values('" + title + "','" + remark + "'," + typeid + "," + sorts + ")");
    }
    /// <summary>
    /// 更新产品
    /// </summary>
    /// <param name="tn"></param>
    /// <param name="name"></param>
    /// <param name="typeid"></param>
    /// <param name="img"></param>
    /// <param name="remark"></param>
    /// <param name="id"></param>
    /// <param name="sorts"></param>
    /// <returns></returns>
    public int updateProInfo(string tn, string name, string typeid, string img, string remark, string id, string sorts)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "update " + tn + " set [name]='" + name + "',sorts=" + sorts + ",[remark]='" + remark + "',[imgurl]='" + img + "',[typeid]=" + typeid + " where id=" + id);
    }
    /// <summary>
    /// 添加产品
    /// </summary>
    /// <param name="tn"></param>
    /// <param name="name"></param>
    /// <param name="typeid"></param>
    /// <param name="img"></param>
    /// <param name="remark"></param>
    /// <param name="sorts"></param>
    /// <returns></returns>
    public int addProInfo(string tn, string name, string typeid, string img, string remark, string sorts)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "insert into " + tn + "([name],sorts,[remark],[imgurl],[typeid]) values('" + name + "'," + sorts + ",'" + remark + "','" + img + "',"+typeid+")");
    }
    /// <summary>
    /// 更新广告信息
    /// </summary>
    /// <param name="tn"></param>
    /// <param name="name"></param>
    /// <param name="imgurl"></param>
    /// <param name="url"></param>
    /// <param name="id"></param>
    /// <returns></returns>
    public int editadinfo(string tn, string name, string imgurl, string url, string id)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "update "+tn+" set [title]='" + name + "',[imageurl]='" + imgurl + "',[linkurl]='" + url + "' where id=" + id);
    }
    public void Dispose()
    {
    }


    // 添加price
    public int addProInfo(string tn, string name, string typeid, string img, string remark, string sorts, string kw, string desc, string clicks, string prices)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "insert into " + tn + "([name],sorts,[remark],[imgurl],[typeid],[keyword],[desc],[clicks],[price]) values('" + name + "'," + sorts + ",'" + remark + "','" + img + "'," + typeid + ",'" + kw + "','" + desc + "'," + clicks + ",'" + prices + "')");
    }
    // 添加price
    public int updateProInfo(string tn, string name, string typeid, string img, string remark, string id, string sorts, string kw, string desc, string clicks, string prices)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "update " + tn + " set [name]='" + name + "',sorts=" + sorts + ",[remark]='" + remark + "',[imgurl]='" + img + "',[typeid]=" + typeid + ",[keyword]='" + kw + "',[desc]='" + desc + "',[clicks]=" + clicks + ",[price]='" + prices + "' where id=" + id);
    }
    public int ExecSql(string sql)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, sql);
    }

    public int addjianli(string tn, string name,string username, string tel, string email, string typeid, string jianli)
    {
        string id = getvalue("t_users", "id", "[username]='" + username + "'", "")+"";
        if (id == "")
        {
            id = "0";
        }
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "insert into "+tn+"([name],[typeid],[jianli],[tel],[email],userid) values('"+name+"',"+typeid+",'"+jianli+"','"+tel+"','"+email+"',"+id+")");
    }

    public int addorder(string tn,string name, string tel, string remark, string id)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "insert into " + tn + "([name],[tel],[remark],proid) values('" + name + "','" + tel + "','" + remark + "'," + id + ")");
    }

    public int editjobs(string tn, string name, string bname, string yaoqiu, string zhineng, string yuexin, string xueli, string gongzuo, string renshu, string remark, string typeid, string id, string sorts)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "update " + tn + " set name='" + name + "',  bname='" + bname + "',  yaoqiu='" + yaoqiu + "',  zhineng='" + zhineng + "',  yuexin='" + yuexin + "',  xueli='" + xueli + "',  gongzuo='" + gongzuo + "',  renshu='" + renshu + "',  remark='" + remark + "',  typeid=" + typeid + ",  sorts=" + sorts + " where id=" + id);
    }

    public int addjobs(string tn, string name, string bname, string yaoqiu, string zhineng, string yuexin, string xueli, string gongzuo, string renshu, string remark, string typeid, string sorts)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "insert into " + tn + "([name],[bname],yaoqiu,zhineng,yuexin,xueli,gongzuo,renshu,[remark],[typeid],[sorts]) values('" + name + "', '" + bname + "', '" + yaoqiu + "', '" + zhineng + "', '" + yuexin + "', '" + xueli + "', '" + gongzuo + "', '" + renshu + "', '" + remark + "', " + typeid + ", " + sorts + ")");
    }

    public DataSet getuserlistadmin(string tn)
    {
        return OleDbHelper.ExecuteDataset(conn, CommandType.Text, "select * from " + tn + " order by id desc");
    }
    public string getuserid(string tn, string username, string id)
    {
        return OleDbHelper.ExecuteScalar(conn, CommandType.Text, "select id from " + tn + " where username='" + username + "' and id<>" + id) + "";
    }
    public string getuserid(string tn, string username)
    {
        return OleDbHelper.ExecuteScalar(conn, CommandType.Text, "select id from " + tn + " where username='" + username + "'") + "";
    }

    public int regedit(string tn, string username, string skype, string email, string tel, string age, string pw, string state, string yy_count, string id)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "update " + tn + " set [username]='" + username + "',[email]='" + email + "',[tel]='" + tel + "',[password]='" + pw + "' where id=" + id);
    }
    public int regedit(string tn, string username, string skype, string email, string tel, string age, string pw, string state, string yy_count)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "insert into " + tn + "([username],[email],[tel],[password]) values('" + username + "','" + email + "','" + tel + "','" + pw + "')");
    }

    public int addinfo(string tn, string remark, string name, string sex, string email, string tel, string shouji, string cz, string address, string youbian)
    {
        DateTime d = DateTime.Now;
        int i= OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "insert into " + tn + "([remark],[name],[sex],[email],[tel],[shouji],[cz],[address],[youbian]) values('" + remark + "','" + name + "','" + sex + "','" + email + "','" + tel + "','" + shouji + "','" + cz + "','" + address + "','" + youbian + "')");
        object o = OleDbHelper.ExecuteScalar(conn, CommandType.Text, "select id from "+tn+"  order by id desc");
        if (o != null)
        {
            return Convert.ToInt32(o);
        }
        else
            return 0;
    }
    //"t_orders", ji, dataSet.Tables[0].Rows[i]["id"], StringHelper.IsInt(Request.Form["txt_num_" + dataSet.Tables[0].Rows[i]["id"]]) == true ? Request.Form["txt_num_" + dataSet.Tables[0].Rows[i]["id"]] : "1", StringHelper.IsInt(Request.Form["txt_price_" + dataSet.Tables[0].Rows[i]["id"]]) == true ? Request.Form["txt_price_" + dataSet.Tables[0].Rows[i]["id"]] : "1");
    public int addorder(string tn, int xjid, object proid, string num, string price)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "insert into " + tn + "(xjid,proid,[num],[price]) values(" + xjid + "," + proid + "," + num + ",'" + price + "')");
    }

    public int editimginfo(string tn, string name, string imgurl, string id)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "update " + tn + " set [name]='" + name + "',[imgurl]='" + imgurl + "' where id=" + id);
    }
    //public int editadinfo(string tn, string name, string imgurl, string url, string id)
    //{
    //    return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "update " + tn + " set [title]='" + name + "',[imageurl]='" + imgurl + "',[linkurl]='" + url + "' where id=" + id);
    //}
    public int addimginfo(string tn, string name, string imgurl)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "insert into " + tn + "([name],[imgurl]) values('" + name + "','" + imgurl + "')");
    }

    public int CheckUserName(string tn, string name, object pwd)
    {
        DataSet ds = getUserInfoByName(tn, name);
        if (ds.Tables[0].Rows.Count > 0)
        {
            //if (ds.Tables[0].Rows[0]["state"] + "" == "2")
            //{
            //    if (pwd + "" == ds.Tables[0].Rows[0]["password"] + "")
            //    {
            //        return 3;
            //    }
            //    else
            //    {
            //        return 0;
            //    }
            //}
            //else if (ds.Tables[0].Rows[0]["state"] + "" == "1")
            //{
            return 1;
            //}
            //else
            //{
            //    return 2;
            //}
        }
        return 0;
    }
    public DataSet getUserInfoByName(string tn, string name)
    {
        return OleDbHelper.ExecuteDataset(conn, CommandType.Text, "select id,password from " + tn + " where username='" + name + "'");
    }



    public int editClass(string tn, string name, string sorts, int type, string id, string remark,string topimgurl,string imgurl)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "update " + tn + " set [name]='" + name + "',[sorts]=" + sorts + ",[typeid]=" + type + ",[remark]='" + remark + "',[topimgurl]='" + topimgurl + "',[imgurl]='" + imgurl + "' where id=" + id);
    }

    public int addClass(string tn, string name, string sorts, int type, int parentid, string remark, string topimgurl, string imgurl)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "insert into " + tn + "([name],[sorts],[typeid],[parentid],[topimgurl],[imgurl]) values('" + name + "'," + sorts + "," + type + "," + parentid + ",'" + topimgurl + "','" + imgurl + "')");
    }

    public int addProInfo(string tn, string name, string typeid, string img, string remark, string sorts, string simg)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "insert into " + tn + "([name],sorts,[remark],[imgurl],[typeid],[smimgurl]) values('" + name + "'," + sorts + ",'" + remark + "','" + img + "'," + typeid + ",'" + simg + "')");
    }
    public int addProInfo(string tn, string name, string typeid, string img, string remark, string sorts, string kw,string desc,string clicks)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "insert into " + tn + "([name],sorts,[remark],[imgurl],[typeid],[keyword],[desc],[clicks]) values('" + name + "'," + sorts + ",'" + remark + "','" + img + "'," + typeid + ",'" + kw + "','" + desc + "',"+clicks+")");
    }

    public int updateProInfo(string tn, string name, string typeid, string img, string remark, string id, string sorts, string kw, string desc,string clicks)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "update " + tn + " set [name]='" + name + "',sorts=" + sorts + ",[remark]='" + remark + "',[imgurl]='" + img + "',[typeid]=" + typeid + ",[keyword]='" + kw + "',[desc]='" + desc + "',[clicks]="+clicks+" where id=" + id);
    }
    public int updateProInfo(string tn, string name, string typeid, string img, string remark, string id, string sorts, string simg)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "update " + tn + " set [name]='" + name + "',sorts=" + sorts + ",[remark]='" + remark + "',[imgurl]='" + img + "',[typeid]=" + typeid + ",[smimgurl]='" + simg + "' where id=" + id);
    }

    public string getmid(string tn, string id, object typeid)
    {
        return OleDbHelper.ExecuteScalar(conn, CommandType.Text, "select id from " + tn + " where isshow=1 and id<" + id + " order by id desc") + "";
    }

    public string getmaxid(string tn, string id, object typeid)
    {
        return OleDbHelper.ExecuteScalar(conn, CommandType.Text, "select id from " + tn + " where isshow=1 and id>" + id + " order by id asc") + "";
    }

    public int updateConfigs(string tn, string name, string values, string sorts,string kw,string desc, string id)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "update " + tn + " set [name]='" + name + "',[values]='" + values + "',[sorts]=" + sorts + ",[keyword]='"+kw+"',[desc]='"+desc+"' where id=" + id);
    }

    public int addConfigs(string tn, string name, string remark, string typeid, string sorts, string kw, string desc)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "insert into " + tn + "([name],[values],[typeid],[sorts],[keyword],[desc]) values('" + name + "','" + remark + "'," + typeid + "," + sorts + ",'" + kw + "','" + desc + "')");
    }

    //后台修改新闻
    public int updateNewsInfo(string tn, string title, string remark,string imgurl, string typeid, string id, string sorts, string kw, string desc, string clicks)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "update " + tn + " set [title]='" + title + "',[remark]='" + remark + "',[imgurl]='" + imgurl + "',[typeid]=" + typeid + ",[sorts]=" + sorts + ",[clicks]=" + clicks + ",[keyword]='" + kw + "',[desc]='" + desc + "' where id=" + id);
    }

    public int updateNewsInfo(string tn, string title, string remark,  string typeid, string id, string sorts, string kw, string desc, string clicks)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "update " + tn + " set [name]='" + title + "',[values]='" + remark + "',[typeid]=" + typeid + ",[sorts]=" + sorts + ",[istuijian]=" + 0 + ",[keyword]='" + kw + "',[desc]='" + desc + "' where id=" + id);
    }

    public int addNewsInfo(string tn, string title, string remark, string typeid, string sorts, string kw, string desc, string clicks)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "insert into " + tn + "([name],[values],[typeid],[sorts],[istuijian],[keyword],[desc]) values('" + title + "','" + remark + "','" + typeid + "'," + sorts + "," + 0 + ",'" + kw + "','" + desc + "')");
    }
    //前台新闻单击次数
    public int updateNewsClicksById(string tn, string id)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "update " + tn + " set clicks=clicks+1 where id=" + id);
    }

    //添加新闻
    public int addNewsInfo(string tn, string title, string remark, string imgurl, string typeid, string sorts, string kw, string desc, string clicks)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "insert into " + tn + "([title],[remark],[imgurl],[typeid],[sorts],[clicks],[keyword],[desc]) values('" + title + "','" + remark + "','" + imgurl + "','" + typeid + "'," + sorts + "," + clicks + ",'" + kw + "','" + desc + "')");
    }

    public void addclicks(string tn, string id)
    {
        OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "update " + tn + " set clicks=clicks+1 where id=" + id);
    }

    public void addlogs(string tn, string id, string username)
    {
        OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "insert into " + tn + "([username],[ips],proid) values('" + username + "','" + StringHelper.GetClientIP() + "'," + id + ")");
    }

    //替换之前的smimgurl 字段为货号名称productName、
    public int updateProIn(string tn, string name, string typeid, string img, string remark, string id, string sorts, string productName)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "update " + tn + " set [name]='" + name + "',sorts=" + sorts + ",[remark]='" + remark + "',[imgurl]='" + img + "',[smimgurl]='" + productName + "',[typeid]=" + typeid + " where id=" + id);
    }

    // 替换之前的smimgurl 字段为货号名称productName、
    public int addProInfos(string tn, string name, string typeid, string img, string remark, string sorts, string productName)
    {
        return OleDbHelper.ExecuteNonQuery(conn, CommandType.Text, "insert into " + tn + "([name],sorts,[remark],[imgurl],[typeid],[smimgurl]) values('" + name + "'," + sorts + ",'" + remark + "','" + img + "'," + typeid + ",'" + productName + "')");
    }

}
